%define git_date git20101007

%define dbus_version 1.2.12-alt2
%define libdbus_glib_version 0.76
%define hal_version 0.5.12-alt15

%define libnl_version 1.1
%define ppp_version 2.4.4
%define wpa_supplicant_version 0.5.10-alt3
%define dhcpcd_version 4.0.0

Name: NetworkManager
Version: 0.7.3
Release: alt2.%git_date.M51.1
License: %gpl2plus
Group: System/Configuration/Networking
Summary: Network Link Manager and User Applications
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar
Source1: nm-system-settings.conf
Source2: 50-ntpd
Source3: 70-vendor-encap
Source4: 10-mount
Patch0: %name-%version-%release.patch
Patch2: alt-set-iwconfig-essid.patch

Requires: dbus >= %dbus_version
Requires: wpa_supplicant >= %wpa_supplicant_version
Requires: hal >= %hal_version
Requires: iproute2 openssl
Requires: libnl >= %libnl_version
Requires: ppp = %ppp_version
Requires: dhcpcd >= %dhcpcd_version
Requires: nss >= 3.11.7
Requires: libgio
Requires: libuuid
Requires: ppp-pppoe
Requires: dnsmasq
Requires: openresolv
Requires: libudev
Requires: libshell
Requires: NetworkManager-glib = %version-%release

Conflicts: NetworkManager-vpnc < 0.7.0.97
Conflicts: NetworkManager-openvpn < 0.7.0.97
Conflicts: NetworkManager-pptp < 0.7.0.97
Conflicts: NetworkManager-gnome < 0.7.0.97

BuildPreReq: intltool libgcrypt-devel libtool

# Automatically added by buildreq on Mon Apr 21 2008
BuildRequires: glibc-devel-static iproute2 libhal-devel libnl-devel libwireless-devel ppp-devel
BuildRequires: libdbus-glib-devel >= %libdbus_glib_version
BuildRequires: libpolkit-devel libnss-devel libgio-devel libuuid-devel gtk-doc
BuildRequires: libudev-devel
BuildRequires: rpm-build-licenses

%description
NetworkManager attempts to keep an active network connection available
at all times.  The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible. If
using DHCP, NetworkManager is intended to replace default routes,
obtain IP addresses from a DHCP server, and change name servers
whenever it sees fit.

%package devel
License: %gpl2plus
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Other
Requires: libdbus-glib >= %libdbus_glib_version
Requires: libdbus-devel >= %dbus_version
Requires: pkgconfig

%description devel
This package contains various headers accessing some NetworkManager
functionality from applications.

%package glib
License: %gpl2plus
Summary: Libraries for adding NetworkManager support to applications that use glib
Group: Development/GNOME and GTK+
Requires: dbus >= %dbus_version
Requires: libdbus-glib >= %libdbus_glib_version

%description glib
This package contains the libraries that make it easier to use some
Network Manager functionality from applications that use glib.

%package glib-devel
Summary: Header files for adding NetworkManager support to applications that use glib.
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Requires: %name-glib = %version-%release
Requires: glib2-devel
Requires: pkgconfig
Requires: libdbus-glib-devel >= %libdbus_glib_version

%description glib-devel
This package contains the header and pkg-config files for development
applications using NetworkManager functionality from applications
that use glib.

%package glib-devel-doc
Summary: Development documentation for %name-glib
Group: Development/GNOME and GTK+
Conflicts: %name-glib < %version
BuildArch: noarch

%description glib-devel-doc
This package contains development documentation for %name-glib

%prep
%setup -n %name-%version
%patch0 -p1
%patch2 -p2

%build
gtkdocize
%autoreconf
%configure \
    --libexecdir=%_libexecdir/NetworkManager \
    --localstatedir=%_var \
    --disable-static \
    --with-crypto=nss \
    --with-distro=alt \
    --with-dhcp-client=/sbin/dhcpcd \
    --with-docs=yes \
    --with-resolvconf=/sbin/resolvconf

%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_sysconfdir/NetworkManager/VPN
mkdir -p %buildroot%_sysconfdir/NetworkManager/system-connections
./libtool --mode=install install -m 755 test/nm-online %buildroot%_bindir/
mkdir -p %buildroot/%_var/log/
touch %buildroot/%_var/log/NetworkManager
mkdir -p %buildroot/%_var/lib/NetworkManager
touch %buildroot/%_var/lib/NetworkManager/NetworkManager.state
install -m 0644 %SOURCE1 %buildroot%_sysconfdir/NetworkManager/
install -m 0755 %SOURCE2 %buildroot%_sysconfdir/NetworkManager/dispatcher.d
install -m 0755 %SOURCE3 %buildroot%_sysconfdir/NetworkManager/dispatcher.d
install -m 0755 %SOURCE4 %buildroot%_sysconfdir/NetworkManager/dispatcher.d

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
#post_service %name
	if [ $1 -eq 1 ]; then
		/sbin/chkconfig --add NetworkManager
	else
		/sbin/chkconfig NetworkManager resetpriorities ||:
	fi
else
echo "NetworkManager requires running messagebus service." >&2
fi

%preun
%preun_service %name
if [ $1 -eq 0 ]; then
    killall -TERM nm-system-settings >/dev/null 2>&1 ||:
fi

%files -f %name.lang
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
%_bindir/nm-tool
%_bindir/nm-online
%_libdir/pppd/%ppp_version/nm-pppd-plugin.so
%_datadir/NetworkManager
%_datadir/dbus-1/system-services/*.service
%doc %_man1dir/*.*
%doc %_man5dir/*.*
%doc %_man8dir/*.*
%dir %_libexecdir/NetworkManager/
%dir %_libdir/NetworkManager/
%_libdir/NetworkManager/libnm-*.so
%_libexecdir/NetworkManager/nm-*
%_sbindir/*
%_sysconfdir/dbus-1/system.d/*.conf
%config(noreplace) %_sysconfdir/NetworkManager/nm-system-settings.conf
%_initrddir/NetworkManager
%dir %_sysconfdir/NetworkManager
%dir %_sysconfdir/NetworkManager/dispatcher.d
%dir %_sysconfdir/NetworkManager/VPN
%dir %_sysconfdir/NetworkManager/system-connections
%dir %_var/lib/NetworkManager
%ghost %config(noreplace) %_var/log/NetworkManager
%ghost %config(noreplace) %_var/lib/NetworkManager/NetworkManager.state
%_datadir/PolicyKit/policy/*.policy
/lib/udev/nm-*
/lib/udev/rules.d/*
%_sysconfdir/NetworkManager/dispatcher.d/*
%_datadir/hal/fdi/information/10freedesktop/*.fdi


%files devel
%dir %_includedir/%name
%_includedir/%name/%name.h
%_includedir/%name/NetworkManagerVPN.h
%_pkgconfigdir/%name.pc

%files glib
%_libdir/libnm_glib.so.*
%_libdir/libnm_glib_vpn.so.*
%_libdir/libnm-util.so.*

%files glib-devel
%dir %_includedir/libnm-glib
%_includedir/libnm-glib/*.h
%_includedir/%name/nm-*.h
%_pkgconfigdir/libnm_glib.pc
%_pkgconfigdir/libnm_glib_vpn.pc
%_pkgconfigdir/libnm-util.pc
%_libdir/libnm_glib.so
%_libdir/libnm_glib_vpn.so
%_libdir/libnm-util.so

%files glib-devel-doc
%dir %_datadir/gtk-doc/html/libnm-glib
%_datadir/gtk-doc/html/libnm-glib/*
%dir %_datadir/gtk-doc/html/libnm-util
%_datadir/gtk-doc/html/libnm-util/*

%exclude %_libdir/NetworkManager/*.la
%exclude %_libdir/pppd/%ppp_version/*.la

%changelog
* Tue Dec 28 2010 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt2.git20101007.M51.1
- upstream git snapshot (NETWORKMANAGER_0_7 branch)

* Tue Sep 14 2010 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt2.git20100914.M51.1
- upstream git snapshot (NETWORKMANAGER_0_7 branch):
    + fix retrieval of IPv4 addresses and routes.
    + fix retrieval of DHCP4 and DHCP6 options (rh #611141).

* Thu Jul 29 2010 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt1.M51.1
- Release 0.7.3

* Fri Mar 12 2010 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt2.git20091228.M51.2
- fix X server finding while changing hostname.

* Mon Dec 28 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt2.git20091228.M51.1
- upstream git snapshot (NETWORKMANAGER_0_7 branch)

* Wed Dec 09 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt1.M51.2
- etcnet-alt: allow connections without default gateway.
- init script: change pidfile path.
- fix localstatedir path.
- from upstream git:
    + zte: add more ZTE device port tags.
    + hso: give connect a bit more time (rh #514827).
    + modem-probe: don't probe Teensy boards.

* Tue Nov 24 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt1.M51.1
- Release 0.7.2

* Thu Nov 12 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.998-alt1.M51.1
- build for 5.1

* Mon Nov 09 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.998-alt2
- etcnet-alt: remove debug print.
- fix cooperation between dnsmasq and resolvconf (closes: #22201).

* Fri Oct 30 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.998-alt1
- 0.7.1.998 (0.7.2-rc4)
- init script start priority changed: 12 -> 13.
- etcnet-alt: bind mac address to connections.

* Wed Oct 21 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.997-alt1
- 0.7.1.997 (0.7.2-rc3)

* Mon Oct 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt9.git20091005
- Build libnm-util docs again.
- kill usage of sha1 according with upstream changes.
- upstream git snapshot (NETWORKMANAGER_0_7 branch)

* Sun Aug 23 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt9.git20090716
- init script: taking down devices before NM start.
- libnm-util: fix setting wireless security.
- etcnet-alt: fixed proto WPA2 from wpa_supplicant.conf.

* Thu Aug 20 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt8.git20090716
- Don't write resolv.conf if resolvconf failed.

* Thu Jul 16 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt7.git20090716
- upstream git snapshot (NETWORKMANAGER_0_7 branch)
- added 10-mount dispatcher script

* Mon Jul 06 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt6
- build with libudev.
- etcnet-alt: fixed build without libgio.
- fixed exit status of 70-vendor-encap.

* Tue Jun 30 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt5
- cherry-picked from upstream git:
	+ wifi: don't bring device up if it's rfkilled.
	+ serial: use termios for better compatibility (rh #464760).
- added 70-vendor-encap dispatcher script.

* Wed May 13 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt4
- from upstream git:
  dns: fix handling of searches and domains in resolv.conf

* Tue Apr 28 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt3
- ignore interface if 'options' file present and NM_CONTROLLED
  not set.

* Tue Apr 21 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt2
- Remove 'invalid' tag from connections when cable was unplugged
  and plugged again.

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Release 0.7.1

* Mon Apr 13 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt5
- etcnet-alt: fixed handling multiple networks from
  wpa_supplicant.conf.
- added 'sleep' and 'wake' init script commands.

* Fri Apr 10 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt4
- etcnet-alt: don't return secrets in the GetSettings handler
- build development documentation

* Thu Apr 09 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt3
- Set hostname if no X server present.
- etcnet-alt plugin: implement 'get hostname' property.
- use 'action' for sysctl in init script.
- use '--persist' nm-dispatcher option.
- avoid nm-dispatcher error message.

* Tue Apr 07 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt2
- use own dispatcher script for ntpd

* Mon Apr 06 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt1
- 0.7.0.100 (0.7.1-rc4)

* Fri Apr 03 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt7
- call dhcpcd hook for ntpd

* Tue Mar 24 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt6
- use /etc/net/ifaces/default for creating connections 
	even if /etc/net/ifaces/<iface> not exists.

* Mon Mar 23 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt5
- Fix possible crash when resynchronizing devices if HAL restarts
	(from upstream git)

* Tue Mar 17 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt4
- update-chrooted dispatcher script is removed

* Tue Mar 17 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt3
- enable resolvconf support
- don't backup resolv.conf anymore

* Fri Mar 13 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt2
- init script start/stop priority changed from '40 90' to '12 90'
	(close ALT bug #19002)

* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt1
- 0.7.0.99 (0.7.1-rc3)

* Thu Feb 26 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.98-alt1
- 0.7.0.98 (0.7.1-rc2)
- pack source as tar instead tar.gz.

* Thu Feb 19 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt1
- 0.7.0.97 (0.7.1-rc1)
- spec cleanup
- fix keyfile plugin test build.

* Fri Feb 13 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt19
- also monitoring /etc/net/ifaces/ directory.
- fix segfault when file is deleted from /etc/net/ifaces/*/.

* Mon Jan 26 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt18
- use dhcpcd 4 

* Tue Dec 30 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt17
- enable debug message again
- not check frequency matching

* Fri Dec 26 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt16
- alt-set-iwconfig-essid.patch update.
- nm-device-wifi.c: disable debug message.

* Tue Dec 23 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt15
- alt-set-iwconfig-essid.patch updated.
- init script start/stop priority changed from '98 02' to '40 90'.

* Fri Dec 19 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt14
- save/restore resolv.conf
- some fixes in etcnet-alt plugin (close ALT bug #16736, etc)

* Mon Dec 15 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt13
- create /etc/NetworkManager/system-connections directory.
- kill nm-system-settings when service stop.

* Fri Dec 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt12
- enable keyfile plugin
- fix segmentation fault in keyfile plugin
- fix reading routes

* Mon Dec 08 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt11
- remove NetworkManager-devel -> NetworkManager requires(close #18129)
- alt-dhcp-client-pid.patch is added (close #18021).
- remove device from hash table before sending signal.
- src/nm-netlink-monitor.c: fix function call.

* Wed Dec 03 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt10
- Release NetworkManager 0.7

* Wed Nov 26 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt9.svn.r4326
- don't create default connection in nm-system-settings daemon 
	(nm-applet do it)

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt8.svn.r4326
- dnsmasq requires is added

* Mon Nov 24 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt7.svn.r4326
- new svn snapshot
- etcnet-alt plugin updated according to upstream code changes
- fix WEP keys reading

* Fri Nov 21 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt7.svn.r4229
- ldconfig removed (obsolete)
- don't restart service when upgrade (close #17275)
- etcnet-alt plugin can read wireless settings 
	from wpa_supplicant.conf (WPA and WEP)

* Wed Nov 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt6.svn.r4229
- fix zombies bug

* Wed Nov 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt5.svn.r4229
- new svn snapshot
- NetworkManager-0.7.0-alt-no-strict-aliasing.patch,
  NetworkManager-0.7.0-alt-no_check_dhclient.patch and
  NetworkManager-0.7.0-alt-supplicant_interface.patch
	removed (obsolete)
- alt-set-iwconfig-essid.patch	
	(dirty patch for set essid when connecting to wireless networks)
- alt-no-update-hostname.patch
- update-chrooted dispatcher script is added
- fix preun
- ppp-pppoe requires is added

* Mon Oct 27 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt5.svn.r4209
- new svn revision 

* Thu Oct 02 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt5.svn.r3930
- expiremental patch for not exposyng system connections to user
- expiremental dirty patch to not set DISCONNECTED state when there are routes 

* Tue Aug 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn.r3930
- new svn snapshot
- %post updated (D-Bus config reload; add %post_service)

* Wed Aug 06 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn20080722
- spec cleanup
- split NetworkManager-glib on NetworkManager-glib and NetworkManager-glib-devel
- NetworkManager-0.7.0-alt-kill_supplicant.patch is added
	(not kill all wpa_supplicant, only for managed interfaces)
- NetworkManager-0.7.0-alt-supplicant_interface.patch
	(release the interface when NM exit)

* Mon Jul 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.2.svn20080722
- update  NetworkManager-0.7.0-alt-dhcpcd_opt.patch ("-K" option is added)

* Wed Jul 23 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.1.svn20080722
- version for dhcpcd 4

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080722
- new svn snapshot (3842)
- .la files are not packaged (close #15840)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080527
- new svn snapshot (3694)
- nm-system-settings plugin is completely rewritten

* Tue May 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080428
- reading "WPA_DRIVER" from "/etc/net/ifaces/<interface>/options" is added

* Mon May 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080428
- killall wpa_supplicant on start
- nm-system-settings plugin update

* Tue Apr 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080428
- new svn snapshot (3614)
- dhcpcd-1.3.x -> dhcpcd-3.0.x
- spec cleanup

* Tue Apr 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080419
- initial build

